.chat-box {
    border: 1px solid var(--var-color-gray);
    border-radius: 7px;
    width: 100%;
    height: 80vh;
    display: flex;
}

.contact-bar {
    border-right: 1px solid var(--var-color-gray);
    width: 30%;
    height: 100%;
    position: relative;
}

.contact-list {
    padding: 10px;
    margin-top: 90px;
    overflow: hidden;
    overflow-y: scroll;
}



.single-contact {
    display: flex;
    gap: 10px;
    align-items: center;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
    background: transparent;
    border-radius: 7px;
    padding: 10px;
}
.single-contact:hover {
    font-weight: 500;
}

.active-chat,
.active-chat:hover {
    background-color: var(--var-color-light-gray);
    color: #111;
    font-weight: 500;
}

.chat-id {
    font-weight: 400;
    font-size: 12px;
    color: #11111199;
}

.right-section-name {
    text-align: start;
}

.chat-section {
    height: 100%;
    width: 100%;
    position: relative;
}
.right-side-section {
    position: relative;
}

.message-type-section {
    display: flex;
    gap: 10px;
    align-items: center;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
    background: transparent;
    padding: 10px;
    position: absolute;
    bottom: 0;
    border-top: 1px solid var(--var-color-gray);
    width: inherit;
    align-items: flex-start;
    background-color: white;
    border-radius: 0 0 7px 0;
}

.message-display-section {
    padding: 10px;
    width: 100%;
    height: 80%;
    overflow: hidden;
    overflow-y: scroll;
    margin-top: 80px;
}
.message {
    width: 100%;
    display: flex;
}

.message div {
    width: fit-content;
    text-align: left;
    padding: 10px;
    border-radius: 7px;
    margin-bottom: 3px;
    text-align: right;
}
.message span {
    font-size: 12px;
    color: #11111199;
}

.recieved-message div {
    background: var(--var-color-light-gray);
    color: #111;
    max-width: 80%;
}

.sent-message div {
    background: var(--var-color-gray);
    color: #111;
    justify-content: end;
    max-width: 80%;
}
.sent-message {
    justify-content: end;
}

.chat-select-message {
    margin-top: 30%;
    margin-left: 30%;
}

.chat-search-box {
    display: flex;
    align-items: start;
    position: absolute;
    margin-bottom: 10px;
    top: 0;
    width: 100%;
    padding: 10px 10px 4px 10px;
    border-bottom: 1px solid var(--var-color-gray);
    background: white;
    border-radius: 7px 0 0 0;
}

.exit-chat-btn {
    position: absolute;
    width: 100%;
    background-color: white;
    padding: 10px;
    border-bottom: 1px solid var(--var-color-gray);
    border-radius: 0 7px 0 0 ;
}

.exit-chat-btn span {
    color: #555;
    font-weight: 500;
}